<?php
require 'sessao.php';
$sql_select = "select * from user where id='$id_user'";
$resultado = mysql_query($sql_select);
$registro = mysql_fetch_assoc($resultado);

    $senha = ($_POST['password']);
    $senha4 = hash("whirlpool",$senha);
    if (strlen($senha) == 0){
	header("Location: profile.php?error");
    }
    // recebe a senha que o usuario esta digitando
    $senha1 = ($_POST['newpassword']);
    if (strlen($senha1) == 0){
	header("Location: profile.php?error");
    }
    $senha2 = ($_POST['newpassword1']);
    if (strlen($senha2) == 0){
	header("Location: profile.php?error");
    }
	// compara a senha digitada com a que esta no banco de dados
	if($senha4 == $registro['password']){
		// se a senha estiver certa ele compara os dois campos de nova senha para ver se sao iguais
		if($_POST['newpassword'] == $_POST['newpassword1']){ 
			
			$senha3 = hash("whirlpool",$senha1);
			
			$sql_ = "UPDATE `user` SET `password` = '$senha3' WHERE `id` = $id_user";

			$query_ = mysql_query($sql_);
			session_start(); session_destroy(); 
			header("Location: login.php?novasenha"); 
			exit;
			
		}else{
// caso as senha não correspondam ele ira voltar com o erro de senha nao correspodem			
header("Location: profile.php?errorsenha");
}
}else{
// caso as senha do banco de dados nao esteja igual	
header("Location: profile.php?errors");
}

?>